﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>
    <script type="text/javascript">
        var OnMapCreated = function(map) {
            map.events.register('zoomend', map, function() {
                var currentZoom = this.getZoom() + 1;
                var wms1 = map.getLayer('WMSOverlay1');
                var wms2 = map.getLayer('WMSOverlay2');
                var overlaySwitcher = map.getControlsByClass('OpenLayers.Control.LayerSwitcher')[0];

                if (currentZoom < 4) {
                    display(wms1, true);
                    display(wms2, false);
                } else {
                    display(wms1, false);
                    display(wms2, true);
                }
                var redraw = overlaySwitcher.checkRedraw();
                overlaySwitcher.redraw();
            });

            map.events.triggerEvent('zoomend');
        }

        var display = function(layer, visible) {
            layer.displayInLayerSwitcher = visible;
            layer.display(visible);
            layer.visibility = visible;

            if (visible) {
                layer.redraw();
            }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="600" Height="400">
    </cc1:Map>
    </form>
</body>
</html>
